
Core - Task # 50947

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Install Tool
Created: 2013-08-09 Assigned To:
Updated: 2013-09-29 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: easy
Sprint Focus:
Subject: Installer: Show only empty databases? Offer to overwrite TYPO3-related tables?
Description

Since commit 2e3c9d5e25e5beadafebca949de3e05eeb6f120a in 6.2 the installer now only shows empty databases (zero tables) in
the dropdown to choose an existing database from (DatabaseSelect.php). But the help-text still points out that it will overwrite all
typo3-related tables in that database.

We should either imho show all databases again or remove that comment.
If we choose to display only empty databases imho we should still highlight that other databases exist but are not usable (disabled
entries in the dropdown? ...).

Personally I'd like to see all databases again, maybe with a hint/warning that it already contains data.

Related issues:
duplicates Core - Task # 52314: ext:install Improve wording in empty database... Resolved 2013-09-26

History
#1 - 2013-09-14 21:55 - Christian Kuhn

This was adapted already: On installation only empty db's are shown, if upgrading and this step need execution for whatever reason, all databases are
shown. I think this is good, casual users should not see non empty databases during installation to not harm existing data. The shown text however is
a bit misleading and should be updated.

#2 - 2013-09-14 21:55 - Christian Kuhn
- Parent task set to #49162

#3 - 2013-09-29 19:53 - Christian Kuhn
- Status changed from New to Resolved

This was solved with #52314

#4 - 2013-09-29 19:53 - Christian Kuhn
- Target version set to 6.2.0
- % Done changed from 0 to 100
- PHP Version set to 5.4
- Complexity set to easy
